/* Name: holtek_ht1632.h
 * Project: Sure electronics LED board with Holtek HT1632 chip
 * Author: Leonas (Levas) Vabolis
 * Creation Date: 2009-01-18
 * Copyright: (c) 2009 by Savel (aka Levas). http://www.vabolis.lt , http://www.savel.org
 * License: GNU GPL v2
 * Hardware: SAVEL ATMEGA16 testing board, Sure electronics DE-DP016 
 */




// Define port and pins, where board is connected. No reading from board.

#define LED_PORT		A
#define LED_CS			0
#define	LED_WR			1
#define LED_DATA		2

// some macros

#define GLUE(a,b) (a##b)
#define DDR(x)	(GLUE(DDR,x))
#define PORTAS(x) (GLUE(PORT,x))

#define SET_BIT(x)		PORTAS(LED_PORT) |=_BV(x)
#define CLR_BIT(x)		PORTAS(LED_PORT) &=~_BV(x)

// some constants from holek's HT1632 datasheet

#define BLINK_ON	9
#define BLINK_OFF	8
#define LED_ON		3
#define LED_OFF		2
#define SYS_EN		1
#define SYS_OFF		0
#define CLK_RC		24
#define CLK_EXT		28
